I have 6 different commands for rotate 13 is my rotate command.
1390
13180
13270
1345
13... you get the point. Instead of haveing all these commands I would like to consolidate them into 1 command with options 1=90 2=180 3=... you get the point.
I would like to select object, pick point, enter 1-blah blah blah enter and done.
I know I can just use the rotate command but this will play an important roll in a greater lisp routine.
Thank you in advance.
Here is my basic 13180 command
(defun C:13180(/ CtrPt)
(setvar "CMDECHO" 0)
(setq ss1 nil)
(setq ss1 (ssget))
(setq CtrPt (getpoint "\nPick the rotation Point:... "))
(command "rotate" "P" "" CtrPt "180")
(setq ss1 nil)
(setvar "CMDECHO" 1)
(princ)
) ;end defun